{namespace blog=T3G\AgencyPack\Blog\ViewHelpers}
<f:debug title="post">{post}</f:debug>
    <div class="card hoverable">
        <f:for each="{post.media}" as="image" iteration="iterator">
            <f:if condition="{iterator.isFirst}">
                <f:image image="{image.originalResource.originalFile}" class="card-img-top img-fluid"/>
            </f:if>

        </f:for>
        <div class="card-body">
            <h2 itemprop="name"><blog:link.post post="{post}" class="stretched-link"/></h2>
            <p class="card-text" itemprop="description"><f:if condition="{post.abstract}">
                <f:then>
            {post.abstract}
            </f:then>
            <f:else>
               {post.description}
            </f:else>
            </f:if>
            </p>

        </div>
        <div class="card-footer"><f:render partial="Post/MetaList" arguments="{_all}" /></div>
    </div>





</html>
